Page MenuHomePhabricator

Generate list of core community members to target for technical support satisfaction survey
Closed, ResolvedPublic

Description

Our technical support satisfaction survey (T107217) is going to be targeted to the core community members of 10 Wikipedia projects (5 top languages and 5 strategic languages). We need to generate a list of these users so that we can post invitations on their talk pages.

We want to look at the editors who have been the most active in the past 30 days so the queries should be run against the recent_changes table.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Ran a few test queries on en.wiki (all of these are constrained to accounts that are at least 1 year old and aren't bots):
Article namespace (>=100 edits in last 30 days): 2819 users
File namespace (>=100 edits in last 30 days): 28 users
Draft namespace (>=100 edits in last 30 days): 35 users
Project namespace (>=5 edits in last 30 days): 2013 users
MediaWiki namespace (>=5 edits in last 30 days): 13 users
Template namespace (>=5 edits in last 30 days): 1496 users
Category namespace (>=5 edits in last 30 days): 523 users
Portal namespace (>=5 edits in last 30 days): 95 users

Same queries on Arabic Wikipedia:
Article: 90
File: 3
Draft: N/A
Project: 74
MediaWiki: 2
Template: 70
Category: 51
Portal: 21

Perhaps we should cut the thresholds in half for smaller wikis. We still aren't going to get a comparable sample, but hopefully we'll at least get enough people to have usable data on those wikis.

kaldari set Security to None.Aug 4 2015, 9:30 PM
kaldari added a subscriber: Johan.

We need to get a hard number for target pool sizes on each project.

Here's one of the SQL queries I used to generate the numbers above:

select rc_user, rc_user_text, user_id, user_registration, count(*) as cnt
from arwiki_p.recentchanges, arwiki_p.user
where user_id = rc_user and
rc_namespace = 14 and
rc_bot = 0 and
user_registration < DATE_SUB(NOW(),INTERVAL 1 YEAR)
group by rc_user
having count(*) > 4
order by cnt desc
limit 10000;

Waiting to hear back from @egalvezwmf on our target sample sizes.

kaldari moved this task from Ready to Blocked on the Community-Tech board.Aug 19 2015, 10:53 PM

No itwiki? 😕

Nemo_bis added a subscriber: Nemo_bis.EditedAug 20 2015, 9:18 AM

Here are my suggestions for the 5 "top" projects

Your sorting is broken. Top X are defined by usage and as seen on https://www.wikipedia.org/ the top 5 are currently en, es, de, ja, ru.

When adding Commons to the mix, that makes en, es, de, ja, Commons.

Ran a few test queries on en.wiki (all of these are constrained to accounts that are at least 1 year old and aren't bots):

Your selection of namespaces appears to be arbitrary, what is the rationale? Please use WikiStats to comply with standards, i.e. content namespaces vs. non-content namespaces. No need to make queries.
https://stats.wikimedia.org/EN/TablesWikipediaEN.htm#editor_activity_levels

@Nemo_bis: I was sorting by article number since Wikipedia usage overlaps more with internet usage (the criteria for the "strategic" projects). Either way, it seems to result in the same 10 wikis. For example, if we take the 5 "top" wikis (by usage) and the 5 top internet languages and combine them, we get:
English
Spanish
German
Japanese
Russian
Chinese
Arabic
Portuguese

If we then add Commons, that gives us 9 projects.

The next project by top usage or article count or internet language is French, which gives us 10.

Your selection of namespaces appears to be arbitrary, what is the rationale? Please use WikiStats to comply with standards, i.e. content namespaces vs. non-content namespaces. No need to make queries.

Thanks, I didn't think to look at stats.wikimedia.org. That's a lot easier :)

@kaldari, the sample size will come later; hopefully by tomorrow. We still need to translate. Thanks!

Dzahn added a subscriber: Dzahn.Aug 20 2015, 7:44 PM

also: http://wikistats.wmflabs.org/display.php?t=wp which lets you sort by good/total/edits/users by clicking the little arrows in the column header

Looks like we're shooting to invite ~100 users from each of the 10 projects.

Since we will probably be conducting this poll more than once and we want to avoid asking the same editors to take it multiple times, we will need to create a pool of eligible editors and then select randomly from that. My suggestion for the selection process would be:

For Wikipedias:
Select the top 100 main namespace editors
Select the top 300 non-content, non-talk editors
Combine the two lists
Remove duplicates
Randomly select 100 to invite

For Commons:
Select the top 100 file namespace editors
Select the top 300 non-file, non-talk editors
Combine the two lists
Remove duplicates
Randomly select 100 to invite

Wikipedia usage overlaps more with internet usage (the criteria for the "strategic" projects).

So why don't you just take the top 9 Wikipedias + Commons? An internal source for internet usage sounds better than the unverified external source.

Besides, the English Wiktionary has as many pageviews as the 12th most visited Wikipedia, let's not give for granted that Wikipedia is the only Wikimedia project with sizable userbase.

That was basically my original idea, but the Foundation wants us to look at "strategic" wikis as well, i.e. wikis that have strong potential for growth. In practical terms, that means including Chinese Wikipedia and Arabic Wikipedia instead of Italian Wikipedia and Polish Wikipedia. I actually think this is a good idea as those two wikis are likely to have more unique needs (such as dealing with an influx of new editors and content, as well as unique i18n issues). They are also wikis that the Foundation doesn't really know much about as we don't get as much input from them as we do from the European-language wikis.

kaldari moved this task from Blocked to Epic backlog on the Community-Tech board.Sep 11 2015, 5:24 PM
kaldari updated the task description. (Show Details)Sep 11 2015, 6:05 PM
kaldari triaged this task as High priority.Sep 11 2015, 6:08 PM
kaldari moved this task from Epic backlog to Ready on the Community-Tech board.
Qgil added a subscriber: Qgil.Sep 14 2015, 6:18 AM

The selection of projects here is related to the organization of the promotion of the survey by Community-Tech, right? I mean, if someone else wants to volunteer their work promoting this survey in other projects, are they free to do so or is there any limitation?

@Qgil: There are actually 10 separate surveys. Each one is customized for the specific language project (for example, using the local name for WikiProjects). I think it would cause confusion to promote the survey on other projects.

kaldari updated the task description. (Show Details)Sep 14 2015, 6:07 PM
kaldari updated the task description. (Show Details)
kaldari edited a custom field.
This comment was removed by egalvezwmf.
Qgil awarded a token.Sep 15 2015, 6:28 AM
Niharika claimed this task.Sep 17 2015, 2:20 PM
Niharika added a comment.EditedSep 17 2015, 2:24 PM

The best way to generate this list would probably be to query the recentchanges tables for users who edit certain namespaces the most. For example, users who are at least 1 year old and meet any of the following thresholds:

  • More than 100 edits to the Article, File, or Drafts namespaces in the past month
  • More than 5 edits to the Template, Module, Project, Category, MediaWiki, or Portal namespaces in the past month

These numbers should be tweaked to get a good balance of content curators and technical editors. They may also need to be significantly lower for the strategic languages in order to get a large pool of editors to survey.

@kaldari, can you confirm if this criteria still holds? And the wikis we are targeting are:

  1. English
  2. Spanish
  3. German
  4. Japanese
  5. Russian
  6. Chinese
  7. Arabic
  8. Portuguese
  9. Commons
  10. Italian

Is that correct?

French, not Italian.

  • More than 100 edits to the Article, File, or Drafts namespaces in the past month
  • More than 5 edits to the Template, Module, Project, Category, MediaWiki, or Portal namespaces in the past month

I'm wondering how the numbers for each of those 2 bullet points compare. I don't want the lists to be dominated by article writers rather than technical contributors. Would it be possible to do a test query for each of those 2 on en.wiki to see what the numbers are?

kaldari added a comment.EditedSep 17 2015, 6:15 PM

Actually, I have a better idea. What do you think about querying for:

  • The top 100 contributors to the content namespaces (Article, File, or Drafts) in the past month
  • The top 100 contributors to the technical namespaces (Template, Module, or MediaWiki ) in the past month
  • The top 100 contributors to the curation namespaces (Project, WikiProject, Category, or Portal) in the past month

Combine the 3 lists, remove duplicates, and randomly select 100 to invite.

That should work for wikis of all sizes (unlike my previous suggestion).

Sounds good to me.

Nitty-gritty time! (The namespaces listed below are meant to be representative, not definitive, i.e. not every namespace is include that possibly could. This should be good enough to give us a representative sample of users across different areas of the projects.)

  • English Wikipedia
    • Content: 0, 6, 118
    • Technical: 8, 10, 828
    • Curation: 4, 14, 100
  • German Wikipedia
    • Content: 0, 6
    • Technical: 8, 10, 828
    • Curation: 4, 14, 100
  • French Wikipedia
    • Content: 0, 6
    • Technical: 8, 10, 828
    • Curation: 4, 14, 100, 102
  • Russian Wikipedia
    • Content: 0, 6, 102
    • Technical: 8, 10, 828
    • Curation: 4, 14, 100, 104
  • Commons
    • Content: 0, 6
    • Technical: 8, 10, 828
    • Curation: 4, 14
  • Chinese Wikipedia
    • Content: 0, 6, 118
    • Technical: 8, 10, 828
    • Curation: 4, 14, 100
  • Spanish Wikipedia
    • Content: 0, 6
    • Technical: 8, 10, 828
    • Curation: 4, 14, 100, 102
  • Arabic Wikipedia
    • Content: 0, 6
    • Technical: 8, 10, 828
    • Curation: 4, 14, 100
  • Portuguese Wikipedia
    • Content: 0, 6
    • Technical: 8, 10, 828
    • Curation: 4, 14, 100
  • Japanese Wikipedia
    • Content: 0, 6
    • Technical: 8, 10, 828
    • Curation: 4, 14, 100, 102

You could actually run the same 3 queries against each of the wikis except for Russian (as that's the only wiki that doesn't have namespace alignment with the others):

  • Content: 0, 6, 118
  • Technical: 8, 10, 828
  • Curation: 4, 14, 100, 102

The technical namespaces are the same for all of them, even Russian.

Here's the output of my queries:

1------------ar------------
2Japan Football
3Fjmustak
4Hamody al-iraqi
5Helmoony
6مررت من هنا
7عبد المؤمن
8Osa osa 5
9Equarter
10Syrianaa
11محمد أحمد عبد الفتاح
12يوسف اسد الاطلس
13Ahmed1251985
14خالد الشمراني
15Mohatatou
16A19dz
17Adil2015adil
18Hassanebba
19الناجح احمد
20Saber omri
21على المزارقه
22Bassammahdi
23Muhib mansour
24Muhammad adel007
25Ggffhh
26Denniss
27Mahmoudalrawi
28Zxs
29Abdulrahman Haddad
30RonaldB
31MeeshQ8
32Omar Alyahaya
33Ali32liver
34Usamasaad
35Qudees
36Mussapedia
37Bo hessin
38جار الله
39Kshehari
40Snopic
41عاصم الرشيد التوم
42Elph
431freewriter
44نصر الله غانم
45SANDYSTORM2015
46محمد غيضان
47Shbib Al-Subaie
48Zeidan87
49مجموعة انسان
50محمد نصار 1
51La mere 2
521339861mzb
53Uwe a
54أشرف فارس
55Hawajez
56Liangent-bot
57Drissmlds
58Omar Arabic
59Zoha othman
60علاء نجار
61عباد ديرانية
62Mr. Ibrahem
63Haytham Morsy
64Ammar Alwaeli
65عبد العزيز ابراهيم عبد العزيز
66باسم
67Jobas
68Mn-imhotep
69Khaled
70Nidal sabi
71Maumed al sarif
72محمد الفلسطيني
73إسماعيل قصباري
74سامي الرحيلي
75Reem Yousry
76لا روسا
77Muhammad Abul-Futooh
78Faisal Al-Abdullah
79Meno25
80Maher27777
81Wisam yazeedo
82Majed
8370.83.3.114
84Hamidasdakkay
85فراس52
86MrJoker07
87Mbazri
88محمد القنة
89Mharfouche
90Esraa Gamal 37
91Mervat Salman
92Esra'a Majdy
93فرنسي
94Hosam007
95وهراني
96زياد0
97AhmedPS
98Moh4240
99اشرف ياسين
100الحاوي
101Hshamalsahra
102
103
104------------ru------------
105Lapchenko
106WW
107-PhoeniX-
1082nd Belorussian Front
109Reddle
11091.197.junr3170
111MaxBioHazard
112Kalendar
113DarDar
114Джекалоп
115М епифанов
116Alpunin
117Khilletzbal
118Mcowkin
119The Wrong Man
120Томасина
121Diademodon
122Villarreal9
123Wintik
124Kyzjja
125Юлия 70
126Tempus
127Putmanga
128Ghirlandajo
129Inesta72
130Лобачев Владимир
131AndyVolykhov
132Mitte27
133DZ
134Alexandr ftf
135DJ Rome
136Ochilov
137Valeriy10f
138StarDeg
139Shadowcaster
140Барвенковский
141Сидик из ПТУ
142Jackie
143UVD93
144Minkhairov Arthur
145Alexandronikos
146Kosta1974
147Andrey Kurilov
148Wetscherinin
149Игорь Н. Иванов
150NBS
151Aps-vologda
152Акутагава
153SEA99
154Vitalyazub
155Carpodacus
156Yms
157Torin
158GtorgeK
159Foledman
160Drummer
161Denhud
162Xion
163Kosun
164Mrs markiza
165Игорь(Питер)
166Fil211
167Wulfson
168Красный Партизан
169Jul-Ar
170Алексей Густов
171Bilderling
172Marina100
173Valdis72
174Есстествоиспытатель
175Wjatschko
176Winterheart
177Illustrator
178Pessimist2006
179AnnaMariaKoshka
180Egor
181Atomboy
182Роман Курносенко
183Simba16
184Llecco
185Vestnik-64
186Shamash
187A5b
188Луговкин
189Cathry
190Melirius
191VladXe
192Vcohen
193193.105.7.103
194Volcanus
195Анатолич1
196ShinePhantom
197GennadyL
198Дос Сантуш
199Илья Нелюбин
2001234qwer1234qwer4
201Arbnos
202Interfase
203Alava
204Vasco pirat
205
206
207------------en------------
208Pigsonthewing
209Buaidh
210RHaworth
211Useddenim
212SuperJew
213Dissident93
214Mlaffs
215Sander.v.Ginkel
216Vincenzo1612
217Intruder007
218SimonTrew
219TheRedPenOfDoom
220Sfan00 IMG
221SMcCandlish
222Bearcat
223Fayenatic london
224Jax 0677
225Jaaron95
226Frietjes
227BDD
228Zecke1910
229Jllm06
230Alexander Iskandar
231Cirt
232Dr. Blofeld
233ClassicOnAStick
234Gene93k
235JustBerry
236Hugo999
237Northamerica1000
238RA0808
239BU Rob13
240Serols
241Tim!
242Hundr
243Mangokeylime
244Onel5969
245Randykitty
246Davidcannon
247Tavix
248Equineducklings
249Megalibrarygirl
250CambridgeBayWeather
251Toffanin
252Rathfelder
253Chris the speller
254Funandtrvl
255Warairarepano&Guaicaipuro
256WhisperToMe
257Wolbo
258Raymarcbadz
259Gilliam
260Doncram
261Tokyogirl79
262Flyer22
263John of Reading
264Lugnuts
265Muffin Wizard
266Ianblair23
267Zackmann08
268Wikizin
269Biantez
270Jenks24
271Allen3
272Maile66
273Bpc.sg
274Steel1943
275Armbrust
276Derek R Bullamore
277Miamiheat631
278Jujutacular
279Good Olfactory
280Shyamsunder
281Unreal7
282Basketballfan12
283AlexTheWhovian
284Chanheigeorge
285Akatheflake
286Look2See1
287Avicennasis
288Rjwilmsi
289Kraxler
290Muboshgu
291Allixpeeke
292Julialturner
2931Wiki8Q5G7FviTHBac3dx8HhdNYwDVstR
294BD2412
295DavidLeighEllis
296Hmains
297Charlesaaronthompson
298G. Timothy Walton
299Jc86035
300Qed237
301Spanneraol
302Vasconia
303Klbrain
304SSTflyer
305Marcocapelle
306AnomieBOT
307Donnowin1
308
309
310------------fr------------
311Authueil
312Fanfwah
313Jrcourtois
314Alphabeta
315Soren56
316Flappiefh
317Hégésippe Cormier
318Un Fou
319Pyb
320Orphée
321TG 642
322Ggal
323POUDRAS-HUSS
324Lika0n
325Sammyday
326ALDO CP
327Cpalp
328Masterdeis
329Nhhi
330Epok
331Père Igor
332Gemini1980
333Sismarinho
334Ikmo-ned
335Psemdel
336Kaoh
337Enrevseluj
338Christophe95
339Skarock
340Io Herodotus
341Feldo
342Damonking
343HeyCat
344Seeris
345Rehtse
346Queix
347Paul-Pierre Valli
348Huster
349Superbenjamin
350Philippe Rgt
35190.54.114.63
352Booboo85
353Jihaim
354Popolon
355AméliorationsModestes
356Pld
357Ccmpg
358Agatino Catarella
359SenseiAC
360Chris a liege
361Tsaag Valren
362WhisperToMe
363Maxam1392
364Pixeltoo
365Salebot
366Olimparis
367Quaçom
368Like tears in rain
369L'amateur d'aéroplanes
370Thomas0109
371Jeouit
372Archimëa
373Eric-92
374Chaoborus
375Éric Messel
376Speculos
377Skouratov
378NicoScribe
379Jesmar
380Zergori
381Sebleouf
382Trace
383Tim9
384Hlm Z.
385Maniacduhockey
386Guise
387Salix
388Prométhée
389Poulos
390Zolo
391Julien1978
392Zorion
393Ghoster
394Rhadamante
395Titlutin
396Axou
397Frenchinmorocco
398Jacques Ballieu
399Arnaud.Serander
400Soboky
401Myszka1400
402Némésis45
403Wikimniscient
404Lomita
405A.BourgeoisP
406AkeronBot
407Arcyon37
408ContributorQ
409Melha
410H4stings
411
412
413------------ja------------
414Nagaichi
415羽衣石成実
416庚寅五月
417Takayanyan
418Challemoni
419永続繁栄
420青子守歌
421Soren Bradley
422日比谷の池ちゃん
423Soremachi
424曾禰越後守
425さかおり
426FOZ
427Infinite0694
428HITNOM
429Hisagi
430Glayhours
431Saigen Jiro
432Kekero
433るなあるてみす
434Angol Mois
435Yamamomo kakijiro
436フォット
437アルトクール
438ひななみ
439Joex
440Mr.devias
441Iceandsnow7
442おはぐろ蜻蛉
443FIRMVILLE
444XRGD
445Sumaru
446Hruygo
447JapaneseA
448Hyolee2
449ウース
450MysteryPedia
451Kurirai1
452結牙
453UCinternational
454コケ
455Lsolokis
456Tomato tomato tomato
457Camelia
458Kone
4592B PENCILS Chihiro
460新規作成
461Kmrt
462音員
463Omaemona1982
464Hohi233
465Sammy Of Blue
466Asaklira
467Tokoma191919
468ミランブラジル
469NXA90D
470Trgbot
471さえぼー
472山根 浩二
473S kota
474Coomm
475Y.WXYZ.S.
476Dr jimmy
477海人
478Lanwi1
479Wjp28y
480Geogie
481赤羽さん
482Damena
483Pastern
484Suz-b
485ROYnsWGP0
486Atysn
487虎子算
488Mee-san
489組曲師
490松茸
491香辛料
492Kt football
493Yamato-i
494Xyzzy foobar
495Garakmiu2
496CornBoard
497オオカミ
498Halowand
499Yapparina
500Y-dash
501Ikedat76
502LAMO - 03
503Triglav
504清島達郎
505まさふゆ
506掬茶
507多摩に暇人
508Bellcricket
509ツーリン
510バックショルダー
511Balhae
512Ryulong
513ABCEditer
514
515
516------------de------------
517Crazy1880
518Xgeorg
519Eingangskontrolle
520JamesP
521Gonzo.Lubitsch
522Gamma127
523Doc.Heintz
524Markobr
525Regiomontanus
526Hsvfan1887
527Innobello
528Funkruf
529Koenraad
530Slimguy
531Hadibe
532Bwbuz
533Xqt
534Regi51
535Informationswiedergutmachung
536MacOrcas
537Itti
538DonPedro71
539XaviYuahanda
540Claude J
541Artregor
542Lektor w
543Weissbier
544NiTenIchiRyu
545GiftBot
546WartungslistenBot
547Yellowcard
548Hgzh
549Serten
550Mauerquadrant
551Zweioeltanks
552Agruwie
553Miraki
554Wassertraeger
555Bötsy
556Kiepski1
557Gripweed
558Bjs
559Scholless
560Horst Gräbner
561Pittimann
562Winternacht
563Olaf Kosinsky
564RedPiranha
565Janjonas
56612km
567Kritzolina
568Nicowa
569Skipper69
570Mps
571Gut informiert
572Fiona B.
573Man77
574Pelz
575Kolja21
576Tkkrd
577Harry Canyon
578Ranofuchs
579Gugerell
580Cheyron
581Hans Haase
582Dmicha
583Infestus 969
584Voyager
585FeinerMax
586Berihert
587Allexkoch
588Wdwd
589Abrape
590Raymond
591Headlocker
592Bingo123
593Furfur
594Hopfeneder
595Slökmann
596H7
597Filzstift
598Codc
599XenonX3
600Matthiasb
601Micha
602Diopuld
603EbenezerScrooge
604Daniel749
605A bougainvillea preguiçosa
606SDB
607Ephraim33
608MerlBot
609Williwilli
610Koyaanis
611Natsu Dragoneel
612GT1976
613MBq
614Hannes 24
615JWBE
616Cirdan
617
618
619------------commons------------
620XRay
621Marcel coenders
622Vikoula5
623Ghouston
624Taivo
625EdouardHue
626Orchi
627Jeanhousen
628Gürbetaler
629Poco a poco
630Ralf Roletschek
631Stolbovsky
632Jtm71
633Athena in Wonderland
634Tm
635Abraham
636Jebulon
637Kruusamägi
638Look2See1
639Hedwig in Washington
640Hubertl
641Gzen92Bot
642MPF
643Arjuno3
644Aftabuzzaman
645Túrelio
646Chrumps
647Globetrotter19
648Stefan4
649Pingelig
650SteinsplitterBot
651Marcus Cyron
652Billofocham
653Blackcat
654PeterWD
655EugeneZelenko
656ياسين الأسطى
657Maher27777
658Ruthven
659David1010
660Soghomon Matevosyan
661Wieralee
662Florian838
663Clarice Reis
664Richard Avery
665Sanya3
666Ecummenic
667Pe-Jo
668JuTa
669Bodhisattwa
670Howcheng
671Multichill
672Bibi Saint-Pol
673Liné1
674Ndalyrose
675Pyb
676Yann
677Jwaller
678NeverDoING
679Dr. Bernd Gross
680Pmau
681KDS4444
682ArionEstar
683玄史生
684Rodhullandemu
685Romaine
686C3r4
687Apalsola
688Gzen92
689Ellin Beltz
690Jean-Frédéric
691Josve05a
692Villy Fink Isaksen
693Amitie 10g
694Tine
695J 1982
696Karelj
697Auntof6
698Ies
699Moumou82
700Spinster
701Great Brightstar
702Tyk
703Deepak
704MILEPRI
705Pristurus
706Dave.Dunford
707Helmy oved
708Superzerocool
709WereSpielChequers
710Haidamac
711Abián
712Uoaei1
713Okras
714Jarekt
715Andrei Stroe
716Natuur12
717Oxyman
718Berthold Werner
719DimitraCharalampidou
720
721
722------------es------------
723Onioram
724Abián
725Urdangaray
726Fixertool
727Albo Andrés R
728Omar sansi
729Ruanas
730Luccnoir
731Nioger
732Carlos yo
733CHUCAO
734Thiago89
735Soulreaper
736Fdbpaco
737IrwinSantos
738Banfield
739Alpinu
740MrCharro
741Alex Coiro
742Sergio Andres Segovia
743190.17.190.152
744Ruthven
745Kadellar
746RonaldB
747Qoan
748Superzerocool
749Matiia
750Nicklas NNC
751MarcusRD2
752Farisori
753Sfs90
754Dinosaurioamarillo
755Joane
756Eduardosalg
757Shalbat
758Miguu
759Zerabat
760Saloca
761Balles2601
762FrankDesignRD
763Paulofmera
764Chamarasca
765Episcopus30
7662x2leax
767Technopat
768VR0
769C. Jonel
770BallenaBlanca
771Jcfidy
772Eloy
773Jsmura
774Coet
775PetrohsW
776DanielLZIraldo
777Danisd75
778Valencian
779ShaGuarF1
780Fbs1980
781Alejandrocaro35
782Santi2222
783Edjoerv
784ProtoplasmaKid
785ArwinJ
786HermanHn
787Phoenix58
788Waka Waka
789TheBellaTwins1445
790Robgal
791Jkbw
792Kingbosster
793Tuareg50
794Harold Rivera
795Tiberioclaudio99
796Gtr. Errol
797LlegóelBigotee
798Azulino
799Jarould
800Miguelperezreviriego
801X2y3
802Marval703
803Marsal20
804Heralder
805Petillés
806Rauletemunoz
807Alelapenya
808Isaacvp
809Ph03nix1986
810Jaluj
811Inhakito
812El Ayudante
813Edmenb
814CoBot
815Gsrdzl
816Igallards7
817Casio de Granada
818Petronas
819Manbemel
820Leonpolanco
821El vigilante de los AB
822Warairarepano&Guaicaipuro
823
824
825------------zh------------
826Ellery
827Chong Fat
828Lakokat
829Tenbeens
830Jason1993118e
831Jarodalien
832Fu ht
833Chenxingyu
834Kinghongkong
835Wolfch
836CommonsDelinker
837Alan li
838Joeinwiki
839Liu116
840Kannoflower
841Hijk910
842Q00w00
843如沐西风
844Zenk0113
845Mhss
846ILMRT
847Nivekin
848David 75610
849M80126colin
850陳東鈺
851和平奮鬥救地球
852Liangent-adminbot
853Fs155117
854圍棋一級
855Cdip150
856Changnick
857Krasnyy Suou
858Ntlshuanghe4629
859Trymybestwikipedia
8601j1z2
861Skirtick
862ZTCRV
863Honmingjun
864Black9869184
865Whykitty
866Pedrotangtang
867AddisWang
868Temp3600
869Photoyi
870Eric850130
871Aaa8841
872Trapezoid706
873Justice305
874Su Zhe
875Ason826
876Shwangtianyuan
877Liangent-bot
878Wong128hk
879Arthur011
880Honyihonyi
881John123521
882Samchtt
883黑暗魔君
884Musicinsummer
885MargokDN
886LNDDYL
8878045889a
888Jasonzhuocn
889Iflwlou
890Urga
891Jesus estw
892Jimmy Xu
893Yr
894Guritz99
895Suicasmo
896Taketa
897Kuailong
898春卷柯南
899BenXY
900SiuMai
901Sdf
902Seiyapegasus
903Fauzty
904CAS222222221
905Hang9417
906Brianonly
907578985s
908Alfredo ougaowen
909D2513850
910Antigng-bot
911Vimein
912佳峰
913Ryokie38
914Lanwi1
915李4
916百战天虫
917紅軍28
918Fferic
919Siyuwj
920秋意假髮濃
921WhisperToMe
922James970028
923Zero00072
924A2569875
925摩茲拉
926
927
928------------pt------------
929Eric Duff
930Fronteira
931Athena in Wonderland
932Victor Lopes
933Dbastro
934Carlos28
935Augusto Reynaldo Caetano Shereiber
936De Boni 2007
937Ary29
938FSogumo
939João Carvalho
940Caio Brandão Costa
941Hipersyl
942João Justiceiro
943SEPRodrigues
944Duduzimm
945Francisco Leandro
946Eduardofeld
947Ixocactus
948Cléééston
949Neomoses
950Golongo
951Rodrigoan
952Tetraktys
953GRS73
954Tiitanium
955RonaldB
956Stego
957Skartaris
958Pedrohoneto
959Borowskki
960Umberto Bottura
961Renato de carvalho ferreira
962Mobyduck
963Igorfgv2000
964Ramon sem noçao
965Vitor Mazuco
966Hermógenes Teixeira Pinto Filho
967JeanVitorSouza
968HCa
969Cainamarques
970Tuga1143
971Alessandro Sil
972Fabiano Tatsch
973AndreFGarcia
974Joluoliveira
975Tuvalkin
976Jordeň
977Inemotivo
978BfoP
979Porto Mineiro
980Flor da Serra
981Coltsfan
982Rubinho2220
983Gabriel Estella
984Cdmafra
985JonathanGusmao77
986Kaktus Kid
987Lucas 250599
988W.SE
989Edviges
990WPTBR
991Vitorvicentevalente
992Teles
993Lina Yab
994Kroosmyheart
995Yanguas
996Yone Fernandes
997Dineto
998Jvbignacio9
999Braz Leme
1000Everton137
1001Jonas kam
1002Mzzoo
1003Salebot
1004Fernandogarciarosa12
1005Fasouzafreitas
1006Rafael Florentino
1007Shgür Datsügen
1008Igor G.Monteiro
1009Mwaldeck
1010Dedesp1
1011Marukusu7777
1012Leosls
1013Gabriel dos Santos
1014Clarice Reis
1015Zoldyick
101685.244.2.221
1017Mary Eleanor de Normandy
1018Slaytanic
1019FrancisAkio
1020Bad Boy97
1021Johny Romão
1022Gean
1023Luizengmec
1024Py4nf
1025PauloMSimoes
1026Luiz F. Fritz
1027Theys York
1028Joneswalker
1029

Let me know if I should format it better (with User: prefix?).

Here's the code used to generate it: https://github.com/Niharika29/database-reports/blob/master/survey.py (I need to move it into a new repo, but for now)

@NiharikaKohli: We'll actually need this as 10 separate lists, 1 for each wiki. This is because there will be a separate poll for each of the wikis that is customized for that language and project. If someone gets invited to take more than 1 of the polls, that's OK.

@kaldari, these are actually ten lists, just combined into one paste. The first line indicates the wiki followed by hundred users of the wiki for all the ten wikis.

Ah, got it!

-jem- added a subscriber: -jem-.Sep 20 2015, 11:07 PM

Maybe I'm late for this, but I think that for reaching people with "technical opinions", you should add the operators of the most active bots in those projects; programming is also an important technical work which leaves less time for editing, even in "tech namespaces". Yes, I'm an example of that, and I don't appear in P2064; and yes, it won't be so easy to extract that list of operators. If you consider adding them by hand, I can give you a list for eswiki gladly.

@-jem-: I would really love to have bot writers included in the survey. Unfortunately, I don't know of any way to consistently generate a list of active bot writers for each project. (We have to be able to periodically generate a list with the exact same algorithm each time so that the data is comparable from year to year.) Unfortunately, it isn't possible to query for bot owners in the database, which is a big limitation. If you have any ideas, let me know.

@kaldari, yes, I already stated that there is no easy way. It is possible to join the recentchanges and user_groups tables to obtain the most active accounts with the bot flag (the unflagged bot accounts will usually be editing at a "human" rate and, as such, much less active), but to get the operators it would be needed to check the user page of the bot and search for a parameter of a bot-identifying-template, or something like that, very project-depending anyway. In eswiki we solved the problem by creating https://es.wikipedia.org/wiki/Template:Controlador, which returns the operator and also allows us to identify the unflagged bot accounts, but of course it must be updated by hand. For just 10 projects, as in this case, for sure it is faster to ask a trusty user from each one for a list of active bot operators, and that's why I offered for that; but, of course, I don't want to delay any schedule. I'll be glad if I can help and also if it isn't needed or there's no time for it.

It would be vastly easier to write on the bot accounts' talk page, which is usually either watched or redirected to the owner's. Someone might get a duplicate but that's not a huge issue.

@Nemo_bis: I think your suggestion sounds the most practical. I'll create a separate task for it since we'll need to send them slightly different invitations anyway.

kaldari closed this task as Resolved.Sep 22 2015, 9:20 PM

Created T113404 (Create a randomized list of bot accounts for 10 projects)

Bawolff added a subscriber: Bawolff.Oct 6 2015, 7:27 PM

Here's one of the SQL queries I used to generate the numbers above:

select rc_user, rc_user_text, user_id, user_registration, count(*) as cnt
from arwiki_p.recentchanges, arwiki_p.user
where user_id = rc_user and
rc_namespace = 14 and
rc_bot = 0 and
user_registration < DATE_SUB(NOW(),INTERVAL 1 YEAR)
group by rc_user
having count(*) > 4
order by cnt desc
limit 10000;

You are aware this includes wikidata actions?

@Bawolff: What do you mean by a "wikidata action"? Can you provide an example?

kaldari reopened this task as Open.Oct 7 2015, 4:59 PM

OK, looks like we need to add "rc_source != 'wb'" to the queries.

I've updated the paste as per the new query:

1------------ar------------
2Japan Football
3Fjmustak
4Hamody al-iraqi
5Helmoony
6مررت من هنا
7عبد المؤمن
8Osa osa 5
9Equarter
10Syrianaa
11محمد أحمد عبد الفتاح
12يوسف اسد الاطلس
13Ahmed1251985
14خالد الشمراني
15Mohatatou
16A19dz
17Adil2015adil
18Hassanebba
19الناجح احمد
20Saber omri
21على المزارقه
22Bassammahdi
23Muhib mansour
24Muhammad adel007
25Ggffhh
26Denniss
27Mahmoudalrawi
28Zxs
29Abdulrahman Haddad
30RonaldB
31MeeshQ8
32Omar Alyahaya
33Ali32liver
34Usamasaad
35Qudees
36Mussapedia
37Bo hessin
38جار الله
39Kshehari
40Snopic
41عاصم الرشيد التوم
42Elph
431freewriter
44نصر الله غانم
45SANDYSTORM2015
46محمد غيضان
47Shbib Al-Subaie
48Zeidan87
49مجموعة انسان
50محمد نصار 1
51La mere 2
521339861mzb
53Uwe a
54أشرف فارس
55Hawajez
56Liangent-bot
57Drissmlds
58Omar Arabic
59Zoha othman
60علاء نجار
61عباد ديرانية
62Mr. Ibrahem
63Haytham Morsy
64Ammar Alwaeli
65عبد العزيز ابراهيم عبد العزيز
66باسم
67Jobas
68Mn-imhotep
69Khaled
70Nidal sabi
71Maumed al sarif
72محمد الفلسطيني
73إسماعيل قصباري
74سامي الرحيلي
75Reem Yousry
76لا روسا
77Muhammad Abul-Futooh
78Faisal Al-Abdullah
79Meno25
80Maher27777
81Wisam yazeedo
82Majed
8370.83.3.114
84Hamidasdakkay
85فراس52
86MrJoker07
87Mbazri
88محمد القنة
89Mharfouche
90Esraa Gamal 37
91Mervat Salman
92Esra'a Majdy
93فرنسي
94Hosam007
95وهراني
96زياد0
97AhmedPS
98Moh4240
99اشرف ياسين
100الحاوي
101Hshamalsahra
102
103
104------------ru------------
105Lapchenko
106WW
107-PhoeniX-
1082nd Belorussian Front
109Reddle
11091.197.junr3170
111MaxBioHazard
112Kalendar
113DarDar
114Джекалоп
115М епифанов
116Alpunin
117Khilletzbal
118Mcowkin
119The Wrong Man
120Томасина
121Diademodon
122Villarreal9
123Wintik
124Kyzjja
125Юлия 70
126Tempus
127Putmanga
128Ghirlandajo
129Inesta72
130Лобачев Владимир
131AndyVolykhov
132Mitte27
133DZ
134Alexandr ftf
135DJ Rome
136Ochilov
137Valeriy10f
138StarDeg
139Shadowcaster
140Барвенковский
141Сидик из ПТУ
142Jackie
143UVD93
144Minkhairov Arthur
145Alexandronikos
146Kosta1974
147Andrey Kurilov
148Wetscherinin
149Игорь Н. Иванов
150NBS
151Aps-vologda
152Акутагава
153SEA99
154Vitalyazub
155Carpodacus
156Yms
157Torin
158GtorgeK
159Foledman
160Drummer
161Denhud
162Xion
163Kosun
164Mrs markiza
165Игорь(Питер)
166Fil211
167Wulfson
168Красный Партизан
169Jul-Ar
170Алексей Густов
171Bilderling
172Marina100
173Valdis72
174Есстествоиспытатель
175Wjatschko
176Winterheart
177Illustrator
178Pessimist2006
179AnnaMariaKoshka
180Egor
181Atomboy
182Роман Курносенко
183Simba16
184Llecco
185Vestnik-64
186Shamash
187A5b
188Луговкин
189Cathry
190Melirius
191VladXe
192Vcohen
193193.105.7.103
194Volcanus
195Анатолич1
196ShinePhantom
197GennadyL
198Дос Сантуш
199Илья Нелюбин
2001234qwer1234qwer4
201Arbnos
202Interfase
203Alava
204Vasco pirat
205
206
207------------en------------
208Pigsonthewing
209Buaidh
210RHaworth
211Useddenim
212SuperJew
213Dissident93
214Mlaffs
215Sander.v.Ginkel
216Vincenzo1612
217Intruder007
218SimonTrew
219TheRedPenOfDoom
220Sfan00 IMG
221SMcCandlish
222Bearcat
223Fayenatic london
224Jax 0677
225Jaaron95
226Frietjes
227BDD
228Zecke1910
229Jllm06
230Alexander Iskandar
231Cirt
232Dr. Blofeld
233ClassicOnAStick
234Gene93k
235JustBerry
236Hugo999
237Northamerica1000
238RA0808
239BU Rob13
240Serols
241Tim!
242Hundr
243Mangokeylime
244Onel5969
245Randykitty
246Davidcannon
247Tavix
248Equineducklings
249Megalibrarygirl
250CambridgeBayWeather
251Toffanin
252Rathfelder
253Chris the speller
254Funandtrvl
255Warairarepano&Guaicaipuro
256WhisperToMe
257Wolbo
258Raymarcbadz
259Gilliam
260Doncram
261Tokyogirl79
262Flyer22
263John of Reading
264Lugnuts
265Muffin Wizard
266Ianblair23
267Zackmann08
268Wikizin
269Biantez
270Jenks24
271Allen3
272Maile66
273Bpc.sg
274Steel1943
275Armbrust
276Derek R Bullamore
277Miamiheat631
278Jujutacular
279Good Olfactory
280Shyamsunder
281Unreal7
282Basketballfan12
283AlexTheWhovian
284Chanheigeorge
285Akatheflake
286Look2See1
287Avicennasis
288Rjwilmsi
289Kraxler
290Muboshgu
291Allixpeeke
292Julialturner
2931Wiki8Q5G7FviTHBac3dx8HhdNYwDVstR
294BD2412
295DavidLeighEllis
296Hmains
297Charlesaaronthompson
298G. Timothy Walton
299Jc86035
300Qed237
301Spanneraol
302Vasconia
303Klbrain
304SSTflyer
305Marcocapelle
306AnomieBOT
307Donnowin1
308
309
310------------fr------------
311Authueil
312Fanfwah
313Jrcourtois
314Alphabeta
315Soren56
316Flappiefh
317Hégésippe Cormier
318Un Fou
319Pyb
320Orphée
321TG 642
322Ggal
323POUDRAS-HUSS
324Lika0n
325Sammyday
326ALDO CP
327Cpalp
328Masterdeis
329Nhhi
330Epok
331Père Igor
332Gemini1980
333Sismarinho
334Ikmo-ned
335Psemdel
336Kaoh
337Enrevseluj
338Christophe95
339Skarock
340Io Herodotus
341Feldo
342Damonking
343HeyCat
344Seeris
345Rehtse
346Queix
347Paul-Pierre Valli
348Huster
349Superbenjamin
350Philippe Rgt
35190.54.114.63
352Booboo85
353Jihaim
354Popolon
355AméliorationsModestes
356Pld
357Ccmpg
358Agatino Catarella
359SenseiAC
360Chris a liege
361Tsaag Valren
362WhisperToMe
363Maxam1392
364Pixeltoo
365Salebot
366Olimparis
367Quaçom
368Like tears in rain
369L'amateur d'aéroplanes
370Thomas0109
371Jeouit
372Archimëa
373Eric-92
374Chaoborus
375Éric Messel
376Speculos
377Skouratov
378NicoScribe
379Jesmar
380Zergori
381Sebleouf
382Trace
383Tim9
384Hlm Z.
385Maniacduhockey
386Guise
387Salix
388Prométhée
389Poulos
390Zolo
391Julien1978
392Zorion
393Ghoster
394Rhadamante
395Titlutin
396Axou
397Frenchinmorocco
398Jacques Ballieu
399Arnaud.Serander
400Soboky
401Myszka1400
402Némésis45
403Wikimniscient
404Lomita
405A.BourgeoisP
406AkeronBot
407Arcyon37
408ContributorQ
409Melha
410H4stings
411
412
413------------ja------------
414Nagaichi
415羽衣石成実
416庚寅五月
417Takayanyan
418Challemoni
419永続繁栄
420青子守歌
421Soren Bradley
422日比谷の池ちゃん
423Soremachi
424曾禰越後守
425さかおり
426FOZ
427Infinite0694
428HITNOM
429Hisagi
430Glayhours
431Saigen Jiro
432Kekero
433るなあるてみす
434Angol Mois
435Yamamomo kakijiro
436フォット
437アルトクール
438ひななみ
439Joex
440Mr.devias
441Iceandsnow7
442おはぐろ蜻蛉
443FIRMVILLE
444XRGD
445Sumaru
446Hruygo
447JapaneseA
448Hyolee2
449ウース
450MysteryPedia
451Kurirai1
452結牙
453UCinternational
454コケ
455Lsolokis
456Tomato tomato tomato
457Camelia
458Kone
4592B PENCILS Chihiro
460新規作成
461Kmrt
462音員
463Omaemona1982
464Hohi233
465Sammy Of Blue
466Asaklira
467Tokoma191919
468ミランブラジル
469NXA90D
470Trgbot
471さえぼー
472山根 浩二
473S kota
474Coomm
475Y.WXYZ.S.
476Dr jimmy
477海人
478Lanwi1
479Wjp28y
480Geogie
481赤羽さん
482Damena
483Pastern
484Suz-b
485ROYnsWGP0
486Atysn
487虎子算
488Mee-san
489組曲師
490松茸
491香辛料
492Kt football
493Yamato-i
494Xyzzy foobar
495Garakmiu2
496CornBoard
497オオカミ
498Halowand
499Yapparina
500Y-dash
501Ikedat76
502LAMO - 03
503Triglav
504清島達郎
505まさふゆ
506掬茶
507多摩に暇人
508Bellcricket
509ツーリン
510バックショルダー
511Balhae
512Ryulong
513ABCEditer
514
515
516------------de------------
517Crazy1880
518Xgeorg
519Eingangskontrolle
520JamesP
521Gonzo.Lubitsch
522Gamma127
523Doc.Heintz
524Markobr
525Regiomontanus
526Hsvfan1887
527Innobello
528Funkruf
529Koenraad
530Slimguy
531Hadibe
532Bwbuz
533Xqt
534Regi51
535Informationswiedergutmachung
536MacOrcas
537Itti
538DonPedro71
539XaviYuahanda
540Claude J
541Artregor
542Lektor w
543Weissbier
544NiTenIchiRyu
545GiftBot
546WartungslistenBot
547Yellowcard
548Hgzh
549Serten
550Mauerquadrant
551Zweioeltanks
552Agruwie
553Miraki
554Wassertraeger
555Bötsy
556Kiepski1
557Gripweed
558Bjs
559Scholless
560Horst Gräbner
561Pittimann
562Winternacht
563Olaf Kosinsky
564RedPiranha
565Janjonas
56612km
567Kritzolina
568Nicowa
569Skipper69
570Mps
571Gut informiert
572Fiona B.
573Man77
574Pelz
575Kolja21
576Tkkrd
577Harry Canyon
578Ranofuchs
579Gugerell
580Cheyron
581Hans Haase
582Dmicha
583Infestus 969
584Voyager
585FeinerMax
586Berihert
587Allexkoch
588Wdwd
589Abrape
590Raymond
591Headlocker
592Bingo123
593Furfur
594Hopfeneder
595Slökmann
596H7
597Filzstift
598Codc
599XenonX3
600Matthiasb
601Micha
602Diopuld
603EbenezerScrooge
604Daniel749
605A bougainvillea preguiçosa
606SDB
607Ephraim33
608MerlBot
609Williwilli
610Koyaanis
611Natsu Dragoneel
612GT1976
613MBq
614Hannes 24
615JWBE
616Cirdan
617
618
619------------commons------------
620XRay
621Marcel coenders
622Vikoula5
623Ghouston
624Taivo
625EdouardHue
626Orchi
627Jeanhousen
628Gürbetaler
629Poco a poco
630Ralf Roletschek
631Stolbovsky
632Jtm71
633Athena in Wonderland
634Tm
635Abraham
636Jebulon
637Kruusamägi
638Look2See1
639Hedwig in Washington
640Hubertl
641Gzen92Bot
642MPF
643Arjuno3
644Aftabuzzaman
645Túrelio
646Chrumps
647Globetrotter19
648Stefan4
649Pingelig
650SteinsplitterBot
651Marcus Cyron
652Billofocham
653Blackcat
654PeterWD
655EugeneZelenko
656ياسين الأسطى
657Maher27777
658Ruthven
659David1010
660Soghomon Matevosyan
661Wieralee
662Florian838
663Clarice Reis
664Richard Avery
665Sanya3
666Ecummenic
667Pe-Jo
668JuTa
669Bodhisattwa
670Howcheng
671Multichill
672Bibi Saint-Pol
673Liné1
674Ndalyrose
675Pyb
676Yann
677Jwaller
678NeverDoING
679Dr. Bernd Gross
680Pmau
681KDS4444
682ArionEstar
683玄史生
684Rodhullandemu
685Romaine
686C3r4
687Apalsola
688Gzen92
689Ellin Beltz
690Jean-Frédéric
691Josve05a
692Villy Fink Isaksen
693Amitie 10g
694Tine
695J 1982
696Karelj
697Auntof6
698Ies
699Moumou82
700Spinster
701Great Brightstar
702Tyk
703Deepak
704MILEPRI
705Pristurus
706Dave.Dunford
707Helmy oved
708Superzerocool
709WereSpielChequers
710Haidamac
711Abián
712Uoaei1
713Okras
714Jarekt
715Andrei Stroe
716Natuur12
717Oxyman
718Berthold Werner
719DimitraCharalampidou
720
721
722------------es------------
723Onioram
724Abián
725Urdangaray
726Fixertool
727Albo Andrés R
728Omar sansi
729Ruanas
730Luccnoir
731Nioger
732Carlos yo
733CHUCAO
734Thiago89
735Soulreaper
736Fdbpaco
737IrwinSantos
738Banfield
739Alpinu
740MrCharro
741Alex Coiro
742Sergio Andres Segovia
743190.17.190.152
744Ruthven
745Kadellar
746RonaldB
747Qoan
748Superzerocool
749Matiia
750Nicklas NNC
751MarcusRD2
752Farisori
753Sfs90
754Dinosaurioamarillo
755Joane
756Eduardosalg
757Shalbat
758Miguu
759Zerabat
760Saloca
761Balles2601
762FrankDesignRD
763Paulofmera
764Chamarasca
765Episcopus30
7662x2leax
767Technopat
768VR0
769C. Jonel
770BallenaBlanca
771Jcfidy
772Eloy
773Jsmura
774Coet
775PetrohsW
776DanielLZIraldo
777Danisd75
778Valencian
779ShaGuarF1
780Fbs1980
781Alejandrocaro35
782Santi2222
783Edjoerv
784ProtoplasmaKid
785ArwinJ
786HermanHn
787Phoenix58
788Waka Waka
789TheBellaTwins1445
790Robgal
791Jkbw
792Kingbosster
793Tuareg50
794Harold Rivera
795Tiberioclaudio99
796Gtr. Errol
797LlegóelBigotee
798Azulino
799Jarould
800Miguelperezreviriego
801X2y3
802Marval703
803Marsal20
804Heralder
805Petillés
806Rauletemunoz
807Alelapenya
808Isaacvp
809Ph03nix1986
810Jaluj
811Inhakito
812El Ayudante
813Edmenb
814CoBot
815Gsrdzl
816Igallards7
817Casio de Granada
818Petronas
819Manbemel
820Leonpolanco
821El vigilante de los AB
822Warairarepano&Guaicaipuro
823
824
825------------zh------------
826Ellery
827Chong Fat
828Lakokat
829Tenbeens
830Jason1993118e
831Jarodalien
832Fu ht
833Chenxingyu
834Kinghongkong
835Wolfch
836CommonsDelinker
837Alan li
838Joeinwiki
839Liu116
840Kannoflower
841Hijk910
842Q00w00
843如沐西风
844Zenk0113
845Mhss
846ILMRT
847Nivekin
848David 75610
849M80126colin
850陳東鈺
851和平奮鬥救地球
852Liangent-adminbot
853Fs155117
854圍棋一級
855Cdip150
856Changnick
857Krasnyy Suou
858Ntlshuanghe4629
859Trymybestwikipedia
8601j1z2
861Skirtick
862ZTCRV
863Honmingjun
864Black9869184
865Whykitty
866Pedrotangtang
867AddisWang
868Temp3600
869Photoyi
870Eric850130
871Aaa8841
872Trapezoid706
873Justice305
874Su Zhe
875Ason826
876Shwangtianyuan
877Liangent-bot
878Wong128hk
879Arthur011
880Honyihonyi
881John123521
882Samchtt
883黑暗魔君
884Musicinsummer
885MargokDN
886LNDDYL
8878045889a
888Jasonzhuocn
889Iflwlou
890Urga
891Jesus estw
892Jimmy Xu
893Yr
894Guritz99
895Suicasmo
896Taketa
897Kuailong
898春卷柯南
899BenXY
900SiuMai
901Sdf
902Seiyapegasus
903Fauzty
904CAS222222221
905Hang9417
906Brianonly
907578985s
908Alfredo ougaowen
909D2513850
910Antigng-bot
911Vimein
912佳峰
913Ryokie38
914Lanwi1
915李4
916百战天虫
917紅軍28
918Fferic
919Siyuwj
920秋意假髮濃
921WhisperToMe
922James970028
923Zero00072
924A2569875
925摩茲拉
926
927
928------------pt------------
929Eric Duff
930Fronteira
931Athena in Wonderland
932Victor Lopes
933Dbastro
934Carlos28
935Augusto Reynaldo Caetano Shereiber
936De Boni 2007
937Ary29
938FSogumo
939João Carvalho
940Caio Brandão Costa
941Hipersyl
942João Justiceiro
943SEPRodrigues
944Duduzimm
945Francisco Leandro
946Eduardofeld
947Ixocactus
948Cléééston
949Neomoses
950Golongo
951Rodrigoan
952Tetraktys
953GRS73
954Tiitanium
955RonaldB
956Stego
957Skartaris
958Pedrohoneto
959Borowskki
960Umberto Bottura
961Renato de carvalho ferreira
962Mobyduck
963Igorfgv2000
964Ramon sem noçao
965Vitor Mazuco
966Hermógenes Teixeira Pinto Filho
967JeanVitorSouza
968HCa
969Cainamarques
970Tuga1143
971Alessandro Sil
972Fabiano Tatsch
973AndreFGarcia
974Joluoliveira
975Tuvalkin
976Jordeň
977Inemotivo
978BfoP
979Porto Mineiro
980Flor da Serra
981Coltsfan
982Rubinho2220
983Gabriel Estella
984Cdmafra
985JonathanGusmao77
986Kaktus Kid
987Lucas 250599
988W.SE
989Edviges
990WPTBR
991Vitorvicentevalente
992Teles
993Lina Yab
994Kroosmyheart
995Yanguas
996Yone Fernandes
997Dineto
998Jvbignacio9
999Braz Leme
1000Everton137
1001Jonas kam
1002Mzzoo
1003Salebot
1004Fernandogarciarosa12
1005Fasouzafreitas
1006Rafael Florentino
1007Shgür Datsügen
1008Igor G.Monteiro
1009Mwaldeck
1010Dedesp1
1011Marukusu7777
1012Leosls
1013Gabriel dos Santos
1014Clarice Reis
1015Zoldyick
101685.244.2.221
1017Mary Eleanor de Normandy
1018Slaytanic
1019FrancisAkio
1020Bad Boy97
1021Johny Romão
1022Gean
1023Luizengmec
1024Py4nf
1025PauloMSimoes
1026Luiz F. Fritz
1027Theys York
1028Joneswalker
1029

kaldari closed this task as Resolved.Oct 8 2015, 9:05 PM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

@Akeron: Created T115661 for the first issue. @NiharikaKohli: Could you investigate the 2nd issue?

kaldari added a comment.EditedOct 16 2015, 5:45 PM

Also created T115732 (Exclude anonymous IP users from survey_users.py)

Suspicous that Fae isnt in the active list on commons. He represents something like 25% of all uploads on commons last month.

@Bawolff: The list is a randomized selection from the top contributors. The reason it is randomized is that we want to be able to repeat the survey later, but not hit the same users.

Ah ok. I thought it was all the top contribs. Never mind.

DannyH edited a custom field.

@Niharika - for the users you generated from this survey; do you know if they had at least 100 contributions across all namespaces in one month? I'm working on figuring out sampling for CE Insights and this information would help a lot.

Thanks!
Edward

@egalvezwmf The criterion used was this:

  • The top 100 contributors to the content namespaces (Article, File, or Drafts) in the past month
  • The top 100 contributors to the technical namespaces (Template, Module, or MediaWiki ) in the past month
  • The top 100 contributors to the curation namespaces (Project, WikiProject, Category, or Portal) in the past month

Combine the 3 lists, remove duplicates, and randomly select 100 to invite.

So no, we don't know if they had at least 100 contributions, they might have since they were pooled from the top 100 contributors.

I'd be more than happy to help come up with queries/results that might help with CE Insights. Do let me know what kind of information you're looking for. :)

Thanks so much @Niharika - I can totally just run this on wikimetrics! :) I will do that and see what the data look like.

Thanks so much @Niharika - I can totally just run this on wikimetrics! :) I will do that and see what the data look like.

The script I wrote for this is on Github: https://github.com/wikimedia/community-tech-tools/blob/master/survey_users.py
I don't know how wikimetrics works but I can help set this up on Quarry if that makes your life any easier. :)